#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t, n, m, k, temp;
    for(int i = 0; i < t; i++)
    {
        cin >> n >> m >> k;
        temp = n/k;
        m -= temp * (temp+1) * temp / 2;
        if(m < (temp+1) * (n%k)) cout << "Tak";
        else cout << "Nei";
    }
    return 0;
}